v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/lots/blinded-lots/{id}
Retrieves blinded lot by a blinded lot's ID. Rights: LotManagementGet, ORSBlindedDepotGet.
Request
Path Parameters
-
id(required): string(uuid)
ID of blinded lot.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : BlindedLots v3.0
Type:
objectTitle:
BlindedLots v3.0Contains blinded lot details.
Show Source
-
blindedLotNumber: string
Title:
Blinded Lot NumberBlinded lot number.Example:Blot1001 -
comment: string
Comment.
-
doNotCount: number
Title:
Do Not CountDo Not Count (DNC) days. -
doNotShip: number
Title:
Do Not ShipDo Not Ship (DNS) days. -
expirationDate: string
(date-time)
Title:
Expiration DateBlinded lot expiration date. -
id: string
(uuid)
Title:
Blinded Lot IDBlinded lot ID. -
inUse: boolean
Indicates whether the lot is in use.
-
manufacturingLotIds: array
Manufacturing Lot IDs
Title:
Manufacturing Lot IDsList of manufacturing lot IDs. -
objectVersionNumber: number
(double)
Object version number.
-
operationType: string
Operation type.
-
reason: string
Reason.
-
releaseForDepotToDepot: boolean
Indicates whether the lot is released for depot-to-depot transfer.
-
settingsByCountry: array
settingsByCountry
List of settings by country.
-
shortName: string
Title:
Short NameBlinded lot short name.Example:Blot1001 -
softwareVersionNumber: number
(double)
Software version number.
-
userId: string
(uuid)
User ID.
-
versionEnd: string
(date-time)
Blinded lot version end date.
-
versionStart: string
(date-time)
Blinded lot version start date.
Nested Schema : Manufacturing Lot IDs
Type:
arrayTitle:
Manufacturing Lot IDsList of manufacturing lot IDs.
Show Source
Nested Schema : settingsByCountry
Type:
arrayList of settings by country.
Show Source
-
Array of:
object SettingsByCountry v2.0
Title:
SettingsByCountry v2.0Contains settings by country.
Nested Schema : SettingsByCountry v2.0
Type:
objectTitle:
SettingsByCountry v2.0Contains settings by country.
Show Source
-
countryIso: string
Country ISO code.
-
doNotCount: number
(double)
Do Not Count (DNC) Days.
-
doNotShip: number
(double)
Do Not Ship (DNS) Days.
-
id: string
(uuid)
ID
-
userId: string
(uuid)
User ID.
-
versionStart: string
(date-time)
Version start date.
403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Blinded lot not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object